Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class AbstractPhysicalDevice.Requests

    java.lang.Object
      com.connecterra.ale.reader.AbstractPhysicalDevice.Requests

Enclosing class:
  AbstractPhysicalDevice

    protected class AbstractPhysicalDevice.Requests

extends Object

Represents all of the subscribed `DeviceUnitRequests` on a device, and all the tags which have been reported for any of those DeviceUnitRequests. It can be queried in several ways.

Constructor Summary
`protected` | `AbstractPhysicalDevice.Requests()`

Method Summary
`boolean` | `containsDeviceUnitRequest(DeviceUnitRequest ar)` Return true if the DeviceUnitRequest is part of the Requests set
`Set` | `getDeviceUnitRequests()`
`Set` | `getDeviceUnitRequests(DeviceUnit ant)`
`Set` | `getDeviceUnits()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPhysicalDevice.Requests

    protected AbstractPhysicalDevice.Requests()

Method Detail

### containsDeviceUnitRequest

    public boolean containsDeviceUnitRequest(DeviceUnitRequest ar)

  Return true if the DeviceUnitRequest is part of the Requests set

  Parameters:
    `ar` - a `DeviceUnitRequest` value
  Returns:
    a `boolean` value

### getDeviceUnitRequests

    public Set getDeviceUnitRequests()

  Returns:
    the complete Set of `DeviceUnitRequests`

### getDeviceUnits

    public Set getDeviceUnits()

  Returns:
    the union of `DeviceUnits` referenced by the `DeviceUnitRequests`.

### getDeviceUnitRequests

    public Set getDeviceUnitRequests(DeviceUnit ant)

  Parameters:
    `ant` - a `DeviceUnit` value
  Returns:
    the Set of `DeviceUnitRequests` for the given DeviceUnit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD